package com.topsunit.scanservice.ximai.controller;

import com.topsunit.scanservice.ximai.dto.StockAllocateParams;
import com.topsunit.scanservice.ximai.dto.StockSaleOutQueryParams;
import com.topsunit.scanservice.ximai.dto.StockTakingParams;
import com.topsunit.scanservice.ximai.service.InvtaService;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>Title: StockTakingController</p>
 * <p>Description: 库存相关操作</p>
 *
 * @author chicheng.li
 * @version V1.0
 * @date 2024/12/27
 */
@RestController
public class StockController {

    @Autowired
    private InvtaService invtaService;

    @ApiModelProperty("库存盘点确认")
    @PostMapping("/stockTaking/confirm")
    public void stockTakingConfirm(@RequestBody StockTakingParams params) {
        invtaService.createInvtaByStockTaking(params);
    }

    @ApiModelProperty("库存调拨确认")
    @PostMapping("/stockAllocate/confirm")
    public void stockAllocateConfirm(@RequestBody StockAllocateParams params) {
        invtaService.createInvtaByStockAllocate(params);
    }

    @ApiModelProperty("销售出库通知单查询")
    @PostMapping("/stockSaleOut/list")
    public void stockSaleOutList(@RequestBody StockSaleOutQueryParams params) {
        //invtaService.createInvtaByStockAllocate(params);
    }

    @ApiModelProperty("销售出库通知单库存查询")
    @PostMapping("/stockSaleOut/stockList")
    public void stockSaleOutStockList(@RequestBody StockSaleOutQueryParams params) {
        //invtaService.createInvtaByStockAllocate(params);
    }

    @ApiModelProperty("销售出库确认")
    @PostMapping("/stockSaleOut/confirm")
    public void stockSaleOutConfirm(@RequestBody StockSaleOutQueryParams params) {
        //invtaService.createInvtaByStockAllocate(params);
    }

}
